- Bank Accounts
- Delete a bank account
Bank Accounts
Delete a bank account
Delete a bank account of a taxpayer.
DELETE
/v1/taxpayers/{taxpayerId}/bank-accounts/{bankAccountId}
curl --request DELETE \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/bank-accounts/{bankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request DELETE \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/bank-accounts/{bankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
taxpayerId
required
string
Unique identifier of the taxpayer.
bankAccountId
required
string
Unique identifier of the bank account.
x-api-key
required
string
API key of your Client Application.
Response
application/json
400
401
403
404
Bad Request: validation errors name the field in `errors`
type
string
Type error
title
string
Title error
status
integer
The HTTP status code
detail
string
Detail error
instance
string
Instance error
errors
object
Validation errors keyed by field name, present on 400 responses
curl --request DELETE \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/bank-accounts/{bankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request DELETE \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/bank-accounts/{bankAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'